# Overview of Terms & Concepts:
* __Space(s)__. A Surface, Hand or the Limbo is a space, each with their own x,y,z coordinates.
    * __Surface__(s). The shared space between players, which typically contains the board and cards. There could be multiple Surfaces to switch between.
    * __Hand(s)__. The individual space per player, which typically contains your cards. By default, a Hand is only visible to the owning player.  There could be multiple Hands to contain different things.
    * __Limbo__. This is the space where things exist that should no longer (or not yet) be part of the game. Think of the eight boxes to open in [Pandemic Legacy](https://www.boardgamegeek.com/image/2760958/pandemic-legacy-season-1) or think of games where you "remove cards from the game" instead of just discarding them to a pile. Moving Components from and to Limbo would be done via Automation rather than drag&drop.
* __Component(s)__. This is a catch-all term for cards, dice, boards, basically all the material that the game box contains and that you would potentially put on a table.
* __Stack(s)__. A Stack is simply a collection of Components. Think of a deck of 110 cards for example. Other use cases for Stacks are the stacked camels in [Camel Up](https://www.boardgamegeek.com/image/2097823/camel) or stacked dice in [Skyline](https://boardgamegeek.com/image/1578610/skyline). Stacks are visually represented as either a Pile or a Spread and could change their form at any time. For example, the game may allow a player to look through the discard pile, which is then temporarily transformed into a Spread while the player is looking at it and then transformed back into a Pile.
    * __Pile(s)__. A Pile is a Stack in which all but the top-most Component is hidden from view and therefore also non-interactive. The size of the Stack is typically displayed as an Annotation ("Tag") next to the Pile. Piles are typically used for decks of cards, discard piles and the like. 
    * __Spread(s)__. A Spread "unpacks", "unfolds" or fans out" the stacked Components with partial (or no) overlap, so you can see and interact with any of them. The typical use for a Spread is for cards in a Hand, so you easily view and re-arrange your cards.
* __Holder(s)__. These are designated placeholders for Components, be it on a Surface or in a Hand. Think of "drop-zones" in computer lingo. A Holder has a two dimensional array (i.e. a "grid") of drop-zones, which allows for a clean arrangement of Components. In a game like [Carcassone](https://www.boardgamegeek.com/image/1582209/carcassonne), the Holder grid can ensure that tile cards don't overlap and snap right into place. For games like [Camel Up](https://www.boardgamegeek.com/image/2097823/camel), Holders can be used to automatically orientate the cards on the board.
* __Automation__. The core idea of our app is that it should allow the players to manipulate the virtual game table however they like and not to "overscript" it like typical board game apps do. If they want to flip a card or drag it to some odd place despite this not being "useful" in the game, let them. Nevertheless, there are some tedious tasks that we want to provide automation for. Good examples are the dealing of multiple cards per player from a deck or the recalling of cards from multiple discard piles.
* __Game Module(s)__. In order to play any particular game, one of the players has to import a Game Module, i.e. a (zipped) file which contains all the definitions and assets that are needed to play that particular game, including an initial state description, so a game can easily be restarted. Think of the .pcio files in playingCards.io - we actually want to be 100% backwards compatible!
